import request from '@/utils/request'

// 查询部门列表
export function listDept(query) {
  return request({
    url: '/authority/system/dept/list',
    method: 'post',
    params: query
  })
}
// 查询部门列表
export function listAllDept() {
  return request({
    url: '/authority/system/dept/listAll',
    method: 'post'
  })
}
// 查询部门列表（排除节点）
export function listDeptExcludeChild(deptId) {
  return request({
    url: '/authority/system/dept/list/exclude/' + deptId,
    method: 'get'
  })
}

// 查询部门详细
export function getDept(deptId) {
  return request({
    url: '/authority/system/dept/' + deptId,
    method: 'get'
  })
}

// 查询部门下拉树结构
export function treeselect() {
  return request({
    url: '/authority/system/dept/treeselect',
    method: 'get'
  })
}

// 根据角色ID查询部门树结构
export function roleDeptTreeselect(roleId) {
  return request({
    url: '/authority/system/dept/roleDeptTreeselect/' + roleId,
    method: 'get'
  })
}

// 新增部门
export function addDept(data) {
  return request({
    url: '/authority/system/dept',
    method: 'post',
    data: data
  })
}

// 修改部门
export function updateDept(data) {
  return request({
    url: '/authority/system/dept',
    method: 'put',
    data: data
  })
}

// 删除部门
export function delDept(deptId) {
  return request({
    url: '/authority/system/dept/' + deptId,
    method: 'delete'
  })
}
// 查询无部门人员
export function queryUserWithoutDept(params) {
  return request({
    url: '/authority/system/dept/getAllUserWithoutDept',
    method: 'get',
    params
  })
}
// 根据查询内容查询用户
export function queryUserByName(params) {
  return request({
    url: '/authority/system/user/getListWithDept',
    method: 'get',
    params
  })
}
// 查询该部门下的所有用户
export function queryUserByDeptId(id, params) {
  return request({
    url: '/authority/system/dept/getAllUserByDeptId/' + id,
    method: 'get',
    params
  })
}
// 转部门
export function transformDept(data) {
  return request({
    url: '/authority/system/user/updateUserDept',
    method: 'put',
    data
  })
}
// 查询部门详细
export function getDeptDetail(deptId) {
  return request({
    url: '/authority/system/dept/' + deptId,
    method: 'get'
  })
}
