import request from '@/utils/request'

// 查询字典类型列表
export function listType(query) {
  return request({
    url: '/authority/system/dict/type/list',
    method: 'get',
    params: query
  })
}

// 查询字典类型详细
export function getType(dictId) {
  return request({
    url: '/authority/system/dict/type/' + dictId,
    method: 'get'
  })
}

// 查询父字典类型详细
export function getFatherType() {
  return request({
    url: '/authority/system/dict/type/optionselect',
    method: 'get'
  })
}

// 查询字典类型
export function selectRegionCode(dictType) {
  return request({
    url: '/authority/system/dict/type/selectDictType?dictType=' + dictType,
    method: 'get'
  })
}
// 查询字典名称
export function checkDictNameUnique(dictType) {
  return request({
    url: '/authority/system/dict/type/checkDictNameUnique?dictName=' + dictType,
    method: 'get'
  })
}

// 新增字典类型
export function addType(data) {
  return request({
    url: '/authority/system/dict/type',
    method: 'post',
    data: data
  })
}

// 修改字典类型
export function updateType(data) {
  return request({
    url: '/authority/system/dict/type',
    method: 'put',
    data: data
  })
}

// 删除字典类型
export function delType(dictId) {
  return request({
    url: '/authority/system/dict/type/' + dictId,
    method: 'delete'
  })
}

// 清理参数缓存
export function clearCache() {
  return request({
    url: '/authority/system/dict/type/clearCache',
    method: 'delete'
  })
}

// 导出字典类型
export function exportType(query) {
  return request({
    url: '/authority/system/dict/type/export',
    method: 'get',
    params: query
  })
}

// 获取字典选择框列表
export function optionselect() {
  return request({
    url: '/authority/system/dict/type/selectFather',
    method: 'get'
  })
}
// 获取字典选择框列表
export function selectDictType(dictType) {
  return request({
    url: '/authority/system/dict/data/type/' + dictType,
    method: 'get'
  })
}
