import request from '@/utils/request'

// 查询菜单列表
export function listMenu(query) {
  return request({
    url: '/authority/system/menu/list',
    method: 'get',
    params: query
  })
}
// 查询菜单列表-全部
export function listAllMenu(query) {
  return request({
    url: '/authority/system/menu/listAll',
    method: 'get',
    params: query
  })
}
// 查询菜单列表
export function findAllMenu(query) {
  return request({
    url: '/authority/system/menu/findAllMenu?menuName=' + query,
    method: 'get'
  })
}


// 查询菜单详细
export function getMenu(menuId) {
  return request({
    url: '/authority/system/menu/' + menuId,
    method: 'get'
  })
}

// 查询工作流程
export function getWork() {
  return request({
    baseURL: process.env.VUE_APP_WORKFLOW,
    url: 'wfprocesshi/queryWfProcessHis',
    method: 'get'
  })
}

// 查询菜单下拉树结构
export function treeselect() {
  return request({
    url: '/authority/system/menu/treeselect',
    method: 'get'
  })
}

// 根据角色ID查询菜单下拉树结构
export function roleMenuTreeselect(roleId) {
  return request({
    url: '/authority/system/menu/roleMenuTreeselect/' + roleId,
    method: 'get'
  })
}
export function getAllMenu() {
  return request({
    url: '/authority/getMenuTree',
    method: 'get'
  })
}
// 新增菜单
export function addMenu(data) {
  return request({
    url: '/authority/system/menu',
    method: 'post',
    data: data
  })
}

// 修改菜单
export function updateMenu(data) {
  return request({
    url: '/authority/system/menu',
    method: 'put',
    data: data
  })
}

// 删除菜单
export function delMenu(menuId) {
  return request({
    url: '/authority/system/menu/' + menuId,
    method: 'delete'
  })
}
